Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 2685793002: Remove Apple-style-span CSS class support (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 2 weeks ago by joone
Modified:
6 months ago
Reviewers:
yosin_UTC9
CC:
blink-reviews, blink-reviews-style_chromium.org, chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove Apple-style-span CSS class support Apple-style-span has not been produced since 2011: https://webkit.org/blog/1737/apple-style-span-is-gone As a result, the usage is quite low(<=0.0001%). https://www.chromestatus.com/metrics/feature/timeline/popularity/461 So, we don't need to check Apple style spans when removing redundant styles. BUG=383677 Review-Url: https://codereview.chromium.org/2685793002 Cr-Commit-Position: refs/heads/master@{#451278} Committed: https://chromium.googlesource.com/chromium/src/+/5b32d74c7168caa99fd78792166b0c7e03ac1515

Patch Set 1 #

Patch Set 2 : Remove Apple-style-span class name #

Patch Set 3 #

Patch Set 4 : remove the test cases that use apple-style-span #

Patch Set 5 : Update test cases #

Unified diffs Side-by-side diffs Delta from patch set Stats (+10 lines, -312 lines) Patch
M third_party/WebKit/LayoutTests/editing/inserting/page-zoom-font-size.html View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/editing/inserting/page-zoom-font-size-expected.txt View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
D third_party/WebKit/LayoutTests/editing/pasteboard/4930986-1.html View 1 2 3 1 chunk +0 lines, -27 lines 0 comments Download
D third_party/WebKit/LayoutTests/editing/pasteboard/4930986-1-expected.txt View 1 2 3 1 chunk +0 lines, -2 lines 0 comments Download
D third_party/WebKit/LayoutTests/editing/pasteboard/4930986-2.html View 1 2 3 1 chunk +0 lines, -27 lines 0 comments Download
D third_party/WebKit/LayoutTests/editing/pasteboard/4930986-2-expected.txt View 1 2 3 1 chunk +0 lines, -2 lines 0 comments Download
D third_party/WebKit/LayoutTests/editing/pasteboard/4930986-3.html View 1 2 3 1 chunk +0 lines, -27 lines 0 comments Download
D third_party/WebKit/LayoutTests/editing/pasteboard/4930986-3-expected.txt View 1 2 3 1 chunk +0 lines, -2 lines 0 comments Download
D third_party/WebKit/LayoutTests/editing/pasteboard/5245519.html View 1 2 3 1 chunk +0 lines, -13 lines 0 comments Download
M third_party/WebKit/LayoutTests/editing/pasteboard/paste-with-redundant-style.html View 1 2 3 4 1 chunk +0 lines, -25 lines 0 comments Download
D third_party/WebKit/LayoutTests/editing/pasteboard/paste-with-redundant-style-expected.txt View 1 2 3 4 1 chunk +0 lines, -15 lines 0 comments Download
D third_party/WebKit/LayoutTests/editing/style/remove-styled-element-with-style-span.html View 1 2 3 1 chunk +0 lines, -20 lines 0 comments Download
M third_party/WebKit/Source/core/editing/EditingStyle.cpp View 1 2 1 chunk +0 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/editing/commands/ApplyStyleCommand.cpp View 1 2 2 chunks +0 lines, -18 lines 0 comments Download
M third_party/WebKit/Source/core/editing/commands/ReplaceSelectionCommand.cpp View 1 2 3 8 chunks +8 lines, -128 lines 0 comments Download
M third_party/WebKit/Source/core/editing/serializers/HTMLInterchange.h View 1 chunk +0 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 28 (22 generated)
joone
Hi yosin@ could you review this CL?
6 months ago (2017-02-16 23:43:48 UTC) #17
yosin_UTC9
lgtm Excellent! I'm super happy to review this patch and I am excited to say ...
6 months ago (2017-02-17 08:15:05 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2685793002/80001
6 months ago (2017-02-17 10:33:31 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2685793002/80001
6 months ago (2017-02-17 10:39:49 UTC) #24
joone
On 2017/02/17 08:15:05, yosin_UTC9 wrote: > lgtm > > Excellent! > > I'm super happy ...
6 months ago (2017-02-17 10:41:22 UTC) #25
commit-bot: I haz the power
6 months ago (2017-02-17 10:45:08 UTC) #28
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/5b32d74c7168caa99fd78792166b...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b